summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcello Stanisci <marcello.stanisci@inria.fr>2016-12-14 15:37:07 +0100
committerMarcello Stanisci <marcello.stanisci@inria.fr>2016-12-14 15:37:07 +0100
commit14fc58c63ca29a82ad426a20c3c9c6f6032de369 (patch)
treee7ddd89b200ebfa16c83f63c209086bb05c84846
parent7d56af28f8e9430efa11fe4d5769471dd273c144 (diff)
downloaddocs-14fc58c63ca29a82ad426a20c3c9c6f6032de369.tar.gz
docs-14fc58c63ca29a82ad426a20c3c9c6f6032de369.tar.bz2
docs-14fc58c63ca29a82ad426a20c3c9c6f6032de369.zip
Exchange compilation
-rw-r--r--operate-exchange.rst63
-rw-r--r--operate-merchant.rst63
2 files changed, 68 insertions, 58 deletions
diff --git a/operate-exchange.rst b/operate-exchange.rst
index 06dee2f..874b837 100644
--- a/operate-exchange.rst
+++ b/operate-exchange.rst
@@ -167,11 +167,72 @@ Keys duration
Both `signkeys` and `denom keys` have a :ref:`starting date <keys-duration>`. The option `lookahead_provide`, under section `[exchange_keys]`, is such that only keys
whose starting date is younger than `lookahead_provide` will be issued by the exchange.
+.. _exchange-install:
+
++++++++++++
Installation
++++++++++++
-TBD
+Please install the following packages before proceeding with the exchange compilation.
+
+* autoconf >= 2.69
+* automake >= 1.14
+* libtool >= 2.4
+* autopoint >= 0.19
+* libltdl >= 2.4
+* libunistring >= 0.9.3
+* libcurl >= 7.26 (or libgnurl >= 7.26)
+* GNU libmicrohttpd >= 0.9.39
+* GNU libgcrypt >= 1.6
+* libjansson >= 2.7
+* Postgres >= 9.4, including libpq
+* libgnunetutil (from Git)
+* GNU Taler exchange (from Git)
+
+Except for the last two, these are available in most GNU/Linux
+distributions and should just be installed using the respective
+package manager.
+
+The following instructions will show how to install libgnunetutil and
+the GNU Taler exchange.
+
+
+Before you install libgnunetutil, you must download and install the
+dependencies mentioned above, otherwise the build may succeed but fail
+to export some of the tooling required by Taler.
+
+To download and install libgnunetutil, proceed as follows::
+
+ $ git clone https://gnunet.org/git/gnunet/
+ $ cd gnunet/
+ $ ./bootstrap
+ $ ./configure [--prefix=GNUNETPFX]
+ $ # Each dependency can be fetched from non standard locations via
+ $ # the '--with-<LIBNAME>' option. See './configure --help'.
+ $ make
+ # make install
+
+
+If you did not specify a prefix, GNUnet will install to
+``/usr/local``, which requires you to run the last step as
+``root``.
+
+To download and install the GNU Taler exchange, proceeds as follows::
+
+ $ git clone git://taler.net/exchange
+ $ cd exchange
+ $ ./bootstrap
+ $ ./configure [--prefix=EXCHANGEPFX] \
+ [--with-gnunet=GNUNETPFX]
+ $ # Each dependency can be fetched from non standard locations via
+ $ # the '--with-<LIBNAME>' option. See './configure --help'.
+ $ make
+ # make install
+
+If you did not specify a prefix, the exchange will install to
+``/usr/local``, which requires you to run the last step as
+``root``. Note that you have to specify ``--with-gnunet=/usr/local``
+if you installed GNUnet to ``/usr/local`` in the previous step.
+++++
Other
diff --git a/operate-merchant.rst b/operate-merchant.rst
index feb88d0..484d6eb 100644
--- a/operate-merchant.rst
+++ b/operate-merchant.rst
@@ -188,68 +188,17 @@ This information is optional, and if not given, the backend will act as the `def
Installation
++++++++++++
-Please install the following packages before proceeding with the backend compilation.
-
-* autoconf >= 2.69
-* automake >= 1.14
-* libtool >= 2.4
-* autopoint >= 0.19
-* libltdl >= 2.4
-* libunistring >= 0.9.3
-* libcurl >= 7.26 (or libgnurl >= 7.26)
-* GNU libmicrohttpd >= 0.9.39
-* GNU libgcrypt >= 1.6
-* libjansson >= 2.7
-* Postgres >= 9.4, including libpq
-* libgnunetutil (from Git)
-* GNU Taler exchange (from Git)
-
-Except for the last two, these are available in most GNU/Linux
-distributions and should just be installed using the respective
-package manager.
-
-The following instructions will show how to install libgnunetutil and
-the GNU Taler exchange.
-
-
-Before you install libgnunetutil, you must download and install the
-dependencies mentioned above, otherwise the build may succeed but fail
-to export some of the tooling required by Taler.
-
-To download and install libgnunetutil, proceed as follows::
-
- $ git clone https://gnunet.org/git/gnunet/
- $ cd gnunet/
- $ ./bootstrap
- $ ./configure [--prefix=GNUNETPFX]
- $ # Each dependency can be fetched from non standard locations via
- $ # the '--with-<LIBNAME>' option. See './configure --help'.
- $ make
- # make install
-
-If you did not specify a prefix, GNUnet will install to
-``/usr/local``, which requires you to run the last step as
-``root``.
-To download and install the GNU Taler exchange, proceeds as follows::
- $ git clone git://taler.net/exchange
- $ cd exchange
- $ ./bootstrap
- $ ./configure [--prefix=EXCHANGEPFX] \
- [--with-gnunet=GNUNETPFX]
- $ # Each dependency can be fetched from non standard locations via
- $ # the '--with-<LIBNAME>' option. See './configure --help'.
- $ make
- # make install
-If you did not specify a prefix, the exchange will install to
-``/usr/local``, which requires you to run the last step as
-``root``. Note that you have to specify ``--with-gnunet=/usr/local``
-if you installed GNUnet to ``/usr/local`` in the previous step.
+In order to compile your merchant backend, you firstly need to install the GNU Taler
+exchange. As of other dependencies, the merchant backend needs exactly the same ones
+as the exchange does. Follow :ref:`those instructions <exchange-install>` to build
+everything needed.
-Finally, we can build the merchant backend using the following commands::
+Assuming all the dependencies have been correctly installed, we can now build the
+merchant backend using the following commands::
$ git clone git://taler.net/merchant
$ cd merchant